/******************************************************************************/
/* Vector Redirection FILE FOR MSPBoot BOOTLOADER USING MSP430G2553  */
/* File generated with MSPBootVecRedGen.pl on 08-01-2017 */
/*----------------------------------------------------------------------------*/

//
// Include files
//
#include <stdint.h>
#include "msp430.h"
#include "TI_MSPBoot_Common.h"
#include "TI_MSPBoot_AppMgr.h"

//
//  External variables from linker file
//
extern uint16_t _Appl_Proxy_Vector_Start[];  /* Proxy table address */

//
//  Macros and definitions
//
/* Value written to unused vectors */
#define UNUSED                  (0x3FFF)       
/*! Macro used to calculate address of vector in Application Proxy Table */
#define APP_PROXY_VECTOR(x)     ((uint16_t)&_Appl_Proxy_Vector_Start[x*2])

//
//  Constant table
//
/*! MSPBoot Vector Table: It's fixed since it can't be erased and modified.
 *  Points to a proxy vector table in Application area*/
#pragma DATA_SECTION(Vector_Table, ".BOOT_VECTOR_TABLE")
#pragma RETAIN(Vector_Table)
const uint16_t Vector_Table[] =
{
     APP_PROXY_VECTOR(0),                        // FFE0 =  TRAPINT     
     UNUSED,                                     // FFE2 = unused
     APP_PROXY_VECTOR(1),                        // FFE4 =  PORT1       
     APP_PROXY_VECTOR(2),                        // FFE6 =  PORT2       
     UNUSED,                                     // FFE8 = unused
     APP_PROXY_VECTOR(3),                        // FFEA =  ADC10       
     APP_PROXY_VECTOR(4),                        // FFEC =  USCIAB0TX   
     APP_PROXY_VECTOR(5),                        // FFEE =  USCIAB0RX   
     APP_PROXY_VECTOR(6),                        // FFF0 =  TIMER0_A1   
     APP_PROXY_VECTOR(7),                        // FFF2 =  TIMER0_A0   
     APP_PROXY_VECTOR(8),                        // FFF4 =  WDT         
     APP_PROXY_VECTOR(9),                        // FFF6 =  COMPARATORA  
     APP_PROXY_VECTOR(10),                        // FFF8 =  TIMER1_A1   
     APP_PROXY_VECTOR(11),                        // FFFA =  TIMER1_A0   
     APP_PROXY_VECTOR(12),                        // FFFC =  NMI         
};
